import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  lang: 'fr-FR',
  title: "Doc technique YesWiki.pro",
  description: "Infrastructure et outils libres utilisés",
  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: 'Infrastructure', link: '/infrastructure' },
      { text: 'Installation', link: '/installation' },
      { text: 'Aide mémoire', link: '/minio-cli' }
    ],
    search: {
      provider: 'local'
    },
    sidebar: [
      {
        text: 'Infrastructure',
        items: [
          { text: 'Vue d\'ensemble', link: '/infrastructure' },
          { text: 'Hébergement yeswiki.pro', link: '/hebergement' },
          { text: 'Ferme à CLIC', link: '/ferme-clic' },
          { text: 'CLIC yeswiki.net', link: '/clic-yeswiki-net' },
          { text: 'Monitoring', link: '/monitoring' },
          { text: 'Sites', link: '/sites' }
        ]
      },
      {
        text: 'Installation et configuration',
        items: [
          { text: 'Vue d\'ensemble', link: '/installation' },
          { text: 'Proxmox', link: '/proxmox' },
          { text: 'Garage', link: '/garage' },
          { text: 'Yeswiki', link: '/yeswiki' },
          { text: 'Borgmatic', link: '/borgmatic' }
        ]
      },
      {
        text: 'Aide Mémoire / Commandes',
        items: [
          { text: 'Minio CLI', link: '/minio-cli' }
        ]
      }
    ],

    socialLinks: [
      { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ]
  }
})
